﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace scConverterTest
{
   public partial class Form1 : Form
   {
      public Form1()
      {
         InitializeComponent();
      }

      private void button1_Click(object sender, EventArgs e)
      {
         scConverterLib.Converter myconverter; 
         myconverter = new scConverterLib.Converter();

         //RS274D settings (legacy)
         myconverter.GerberFormatSettings(false, 2, 3, 0, false, false);
         myconverter.GerberApertureFileName = @"C:\Testfiles\EDA\Gerber\demo\default.gba";

         //Set background color and add all layers
         myconverter.BackgroundColor = 0;
         //myconverter.BackgroundColor = 0xFFFFFF;
         myconverter.AddGerberLayer("http://www.gerbview.com/demo/gerbview/LAYER1.gbx", 0x0000FF, 0);
         myconverter.AddGerberLayer("http://www.gerbview.com/demo/gerbview/LAYER2.gbx", 0x00FF00, 0);
         myconverter.AddGerberLayer("http://www.gerbview.com/demo/gerbview/LAYER3.gbx", 0xFF0000, 0);
         myconverter.AddGerberLayer("http://www.gerbview.com/demo/gerbview/LAYER4.gbx", 0xFF00FF, 0);
         myconverter.AddGerberLayer("http://www.gerbview.com/demo/gerbview/CMASK.gbx",  0xFFFF00, 0);
         myconverter.AddGerberLayer("http://www.gerbview.com/demo/gerbview/SMASK.gbx",  0x00FFFF, 0);
         myconverter.AddGerberLayer("http://www.gerbview.com/demo/gerbview/SILK.gbx", 0x0000aa, 0);
         //Create image based on all layers
         stdole.IPictureDisp scPicture = null;
         myconverter.ConvertGerberLayersToImageEx(1.0, 24, 96, 0, ref scPicture);
         Image scImage = PictureDispHost.GetPictureFromIPicture(scPicture);
         //scImage.Save(@"c:\temp\gerberlayers.png");
         pictureBox1.Image = scImage;
      }
   }
}
